mxSwingConstants (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.swing.util
Class mxSwingConstants

    java.lang.Object
      com.mxgraph.swing.util.mxSwingConstants

    public class mxSwingConstants

extends Object

Field Summary
`static Color` | `CONNECT_HANDLE_FILLCOLOR` Defines the connect handle fill color.
`static Color` | `DEFAULT_INVALID_COLOR` Specifies the default invalid color.
`static Color` | `DEFAULT_VALID_COLOR` Specifies the default valid color.
`static Color` | `EDGE_SELECTION_COLOR` Defines the selection color for edges.
`static Stroke` | `EDGE_SELECTION_STROKE` Defines the stroke used for painting selected edges.
`static BufferedImage` | `EMPTY_IMAGE` Contains an empty image of size 1, 1.
`static Color` | `HANDLE_BORDERCOLOR` Defines the handle border color.
`static Color` | `HANDLE_FILLCOLOR` Defines the handle fill color.
`static Color` | `LABEL_HANDLE_FILLCOLOR` Defines the label handle fill color.
`static Color` | `LOCKED_HANDLE_FILLCOLOR` Defines the handle fill color for locked handles.
`static Border` | `PREVIEW_BORDER` Defines the border used for painting the preview when vertices are being resized, or cells and labels are being moved.
`static Stroke` | `PREVIEW_STROKE` Defines the stroke used for painting the preview for new and existing edges that are being changed.
`static Color` | `RUBBERBAND_BORDERCOLOR` Defines the rubberband border color.
`static Color` | `RUBBERBAND_FILLCOLOR` Defines the rubberband fill color with an alpha of 80.
`static Color` | `SHADOW_COLOR` Defines the color to be used for shadows.
`static Color` | `VERTEX_SELECTION_COLOR` Defines the selection color for vertices.
`static Stroke` | `VERTEX_SELECTION_STROKE` Defines the stroke used for painting the border of selected vertices.

Constructor Summary
`mxSwingConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_IMAGE

    public static BufferedImage EMPTY_IMAGE

  Contains an empty image of size 1, 1.

### SHADOW_COLOR

    public static Color SHADOW_COLOR

  Defines the color to be used for shadows. Default is gray.

### DEFAULT_VALID_COLOR

    public static Color DEFAULT_VALID_COLOR

  Specifies the default valid color. Default is green.

### DEFAULT_INVALID_COLOR

    public static Color DEFAULT_INVALID_COLOR

  Specifies the default invalid color. Default is red.

### RUBBERBAND_BORDERCOLOR

    public static Color RUBBERBAND_BORDERCOLOR

  Defines the rubberband border color.

### RUBBERBAND_FILLCOLOR

    public static Color RUBBERBAND_FILLCOLOR

  Defines the rubberband fill color with an alpha of 80.

### HANDLE_BORDERCOLOR

    public static Color HANDLE_BORDERCOLOR

  Defines the handle border color. Default is black.

### HANDLE_FILLCOLOR

    public static Color HANDLE_FILLCOLOR

  Defines the handle fill color. Default is green.

### LABEL_HANDLE_FILLCOLOR

    public static Color LABEL_HANDLE_FILLCOLOR

  Defines the label handle fill color. Default is yellow.

### CONNECT_HANDLE_FILLCOLOR

    public static Color CONNECT_HANDLE_FILLCOLOR

  Defines the connect handle fill color. Default is blue.

### LOCKED_HANDLE_FILLCOLOR

    public static Color LOCKED_HANDLE_FILLCOLOR

  Defines the handle fill color for locked handles. Default is red.

### EDGE_SELECTION_COLOR

    public static Color EDGE_SELECTION_COLOR

  Defines the selection color for edges. Default is green.

### VERTEX_SELECTION_COLOR

    public static Color VERTEX_SELECTION_COLOR

  Defines the selection color for vertices. Default is green.

### EDGE_SELECTION_STROKE

    public static Stroke EDGE_SELECTION_STROKE

  Defines the stroke used for painting selected edges. Default is a dashed line.

### VERTEX_SELECTION_STROKE

    public static Stroke VERTEX_SELECTION_STROKE

  Defines the stroke used for painting the border of selected vertices. Default is a dashed line.

### PREVIEW_STROKE

    public static Stroke PREVIEW_STROKE

  Defines the stroke used for painting the preview for new and existing edges that are being changed. Default is a dashed line.

### PREVIEW_BORDER

    public static Border PREVIEW_BORDER

  Defines the border used for painting the preview when vertices are being resized, or cells and labels are being moved.

Constructor Detail

### mxSwingConstants

    public mxSwingConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.